<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title> Task 2 - CSS Grid </title>
    <link rel="stylesheet" type="text/css" href="style.css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <meta name="viewport" content="width=device-width, initial-scale=1" />
</head>

<body>
    <p>With my own CSS</p>
    <div class="grid_container">
        <div class="grid_item_red">One</div>
        <div class="grid_item_red">Two</div>
        <div class="grid_item_red">Three</div>
        <div class="grid_item_red">Four</div>
        <div class="grid_item_red">Five</div>
    </div>

    <div class="grid_container2">
        <div class="grid_item_green" id="item1">One</div>
        <div class="grid_item_green" id="item2">Two</div>
        <div class="grid_item_green" id="item3">Three</div>
        <div class="grid_item_green" id="item4">Four</div>
        <div class="grid_item_green" id="item5">Five</div>
    </div>
    <br>
    
    <p>With bootstrap</p>
    <div class="container-fluid">
        <div class="row row-cols-3 b_item">
            <div class="col grid_item_red">One</div>
            <div class="col grid_item_red">Two</div>
            <div class="col grid_item_red">Three</div>
            <div class="col grid_item_red">Four</div>
            <div class="col grid_item_red">Five</div>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row">
            <div class="col grid_item_green" style="height: 100px;">One</div>
        </div>
        <div class="row">
            <div class="col-4 grid_item_green">Two</div>
            <div class="col-8">
                <div class="row" style="height: 100px;">
                    <div class="col-6 grid_item_green">Three</div>
                    <div class="col-6 grid_item_green">Four</div>
                </div>
                <div class="row" style="height: 100px;">
                    <div class="col-md-6 grid_item_green">Five</div>
                </div>
                <div class="row">
                    <div class="col" style="height: 50px;"></div>
                </div>
                </div>
            </div>
        </div>
    </div>

</body>

</html>